Bug 1 - Missing uploadedmarc table definition
Summary: Missing uploadedmarc table definition
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 1.2.x
Hardware: All All
: P2 major (vote)
Assignee: Chris Cormack
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-15 01:15 UTC by Chris Cormack
Modified: 2018-01-19 20:42 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19230: Preventing warn when deleting course (3.30 KB, patch)
2018-01-19 20:42 UTC, Roch D'Amour
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-20 23:24:56 UTC


---- Reported by chris@bigballofwax.co.nz 2002-06-15 13:15:40 ----

Missing table definition for uploadedmarc in the database.mysql file and in the
updatedatabase script



---- Additional Comments From chris@bigballofwax.co.nz 2002-06-15 13:31:53 ----

  mysql> show columns from marcrecorddone;
+---------------+----------+------+-----+---------+-------+ 
| Field | Type | Null | Key | Default | Extra | 
  +---------------+----------+------+-----+---------+-------+ 
  | isbn | char(40) | YES | | NULL | | 
| issn | char(40) | YES | | NULL | |
| lccn | char(40) | YES | | NULL | |
| controlnumber | char(40) | YES | | NULL | |
 mysql> show columns from uploadedmarc;
 +--------+--------------+------+-----+---------+----------------+ 
| Field | Type | Null | Key | Default | Extra | 
 +--------+--------------+------+-----+---------+----------------+ 
| id | int(11) | | PRI | NULL | auto_increment | 
| marc | longblob | YES | | NULL | |
| hidden | smallint(6) | YES | | NULL | |
| name | varchar(255) | YES | | NULL | |
+--------+--------------+------+-----+---------+----------------+



---- Additional Comments From chris@bigballofwax.co.nz 2002-06-15 13:39:17 ----

CREATE TABLE uploadedmarc (
  id int(11) NOT NULL auto_increment,
    marc longblob,
      hidden smallint(6) default NULL,
        name varchar(255) default NULL,
          PRIMARY KEY  (id)
          );



---- Additional Comments From chris@bigballofwax.co.nz 2002-06-15 14:00:18 ----

CREATE TABLE marcrecorddone (
  isbn char(40) default NULL,
  issn char(40) default NULL,
  lccn char(40) default NULL
);



--- Bug imported by chris@bigballofwax.co.nz 2010-05-20 23:24 UTC  ---

This bug was previously known as _bug_ 1 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1

Actual time not defined. Setting to 0.0

Comment 1 Roch D'Amour 2018-01-19 20:42:19 UTC
Created attachment 70779 [details] [review]
Bug 19230: Preventing warn when deleting course

To test:
1) Ensure UseCourseReserves is enabled
2) Go to Course Reserves, create a course
3) When you are taken to the course page, you should notice the
'Argument "" isn't numeric in numeric gt' warn
4) Delete course
5) Notice warn, and that no confirm message popped up
6) Apply patch
7) Create a course again. Confirm the 'Argument "" isn't numeric in
numeric gt' warn did not show
8) Delete the course
9) Notice no warn and the confirm message pops up

Sponsored-by: Catalyst IT
Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>